<?php if(empty($connection) AND !isset($_COOKIE['pegawai'])){
   echo'404';
}else{
header("Content-Type: application/json");
require_once'../../../sw-library/sw-config.php';
require_once'../../../sw-library/sw-function.php';
require_once'../../oauth/user.php';

$penerima   = $data_user['telp'];
$data_jam = getJam($connection, $hari_ini, $data_user['jabatan']);

function faceDistance($a,$b){
    $sum = 0;
    for($i=0;$i<count($a);$i++){
        $sum += pow(($a[$i]-$b[$i]),2);
    }
    return sqrt($sum);
}


switch (@$_GET['action']){
case 'absen-qrcode':
$error = [];

$data_post = [
    'qrcode' => 'Qrcode',
    'latitude' => 'Latitude',
    'radius' => 'Radius',
    'radius_aktif' => 'Radius Aktif',
];

// Validasi input
foreach ($data_post as $key => $value) {
    if (!isset($_POST[$key]) || ($_POST[$key] === '' && $_POST[$key] !== '0')) {
        $error[] = ucfirst($key) . ' tidak boleh kosong';
    } else {
        $$key = htmlentities(strip_tags($_POST[$key]));
    }
}

if($row_site['tipe_absen_pegawai']=='qrcode'){
  $filter ="AND pegawai.qrcode = '$qrcode'";
}else{
  $filter ="AND lokasi.lokasi_qrcode = '$qrcode'";
}

if (empty($error)) {
    $query_pegawai = "SELECT pegawai.pegawai_id,lokasi.*
    FROM pegawai LEFT JOIN lokasi ON pegawai.lokasi = lokasi.lokasi_id 
    WHERE pegawai.pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' $filter";
    $result_pegawai = $connection->query($query_pegawai);
    if ($result_pegawai->num_rows > 0) {
      $data_pegawai = $result_pegawai->fetch_assoc();

      if (!$data_jam) {
        echo json_encode([
          "status" => false,
          "msg" => "Jam Kerja tidak ditemukan!"
        ]);
        break;
      }else{
        $waktu_awal = (new DateTime($data_jam['jam_masuk']))->modify('-60 minutes')->format('H:i:s');
        $status = cekMulaiAbsen($data_jam['jam_masuk'], $data_jam['jam_pulang'], $waktu_awal);
        if ($status !== 'Y') {
          echo json_encode([
            "status" => false,
            "msg"   => "Absensi belum aktif. Mulai absen jam masuk: {$status['masuk']} jam pulang:  {$status['pulang']}"
          ]);
        }
      }
      
        // menentukan status telat s-widodo.com
        $status_out = ($time_sekarang < $data_jam['jam_pulang']) ? 'Pulang Cepat' : 'Tepat Waktu';

        if ($row_site['whatsapp_active'] == 'Y') {
          $pesan = str_replace(
              ['{{nama}}', '{{lokasi_sekolah}}', '{{tanggal}}', '{{tipe}}', '{{jam_sekolah}}', '{{jam_absen}}', '{{status}}', '{{lokasi}}'],
              [
                  $data_user['nama_lengkap'],
                  $data_pegawai['lokasi_nama'],
                  tanggal_ind($date),
                  'PULANG',
                  ''.$data_jam['jam_masuk'].' - '.$data_jam['jam_pulang'],
                  $time_absen,
                  $status_out,
                  'https://www.google.com/maps/place/' . $latitude
              ],
              $row_site['whatsapp_template']
          );

          if($whatsapp_tipe =='POST'){
            $isipesan = $pesan;
          }else{
            $pesan = str_replace(["\r\n", "\n"], "%0A", $pesan);
            $isipesan = str_replace(" ", "%20", $pesan);
          }
        }
            
        // *** Absen dengan Radius ***
        if ($_POST['radius_aktif']=='Y') {

          if ($data_pegawai['lokasi_radius'] > $radius) {
              // Cek absensi hari ini
            $query_absensi = "SELECT absen_id,absen_out FROM absen_pegawai WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' LIMIT 1";
              $result_absensi = $connection->query($query_absensi);
              if ($result_absensi->num_rows > 0) {
                  $data_absen = $result_absensi->fetch_assoc();

                if (is_null($data_absen['absen_out'])){
                    $update ="UPDATE absen_pegawai SET absen_out='$time_absen',
                        status_pulang='$status_out',
                        map_out='$latitude',
                        radius_out='$radius'
                        WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' 
                        AND absen_id='$data_absen[absen_id]'";
                    if ($connection->query($update) === false) {
                      echo json_encode([
                        "status" => false,
                        "msg" => "Sepertinya Sistem Kami sedang error!"
                      ]);
                    } else {
                      echo json_encode([
                        "status" => true,
                        "msg" => "Terima kasih {$data_user['nama_lengkap']},\nAbsensi pulang Anda berhasil dicatat pada tanggal " . tanggal_ind($date) . " pukul $time_sekarang."
                      ]);
                      
                      if($row_site['whatsapp_active'] =='Y'){
                        if($whatsapp_tipe =='POST'){
                          KirimWa($penerima,$isipesan,$whatsapp_domain,$whatsapp_token,$secret_key);
                        }else{
                          KirimWa($whatsapp_sender,$penerima,$isipesan,$whatsapp_domain,$whatsapp_token);
                        }
                      }
                   }
               }else{
                /** Berikan notifikasi kebali jika doble absen */
                echo json_encode([
                "status" => false,
                "msg" => "Hallo {$data_user['nama_lengkap']}, absensi pulang Anda pada tanggal " . tanggal_ind($date) . " sudah tercatat."
              ]);
              }
          } else {
            /** Notifikasi belum ada data absen masuk */
            echo json_encode([
              "status" => false,
              "msg" => "Data Absensi Anda tidak ditemukan, Silahkan absen masuk terlebih dahulu!"
            ]);
          }
        } else {
          echo json_encode([
            "status" => false,
            "msg" => "Titik lokasi Anda jauh dari radius!"
          ]);
        }
    }
        // *** Absen Tanpa Radius ***
      else {
            // Proses absen tanpa radius
            $query_absensi = "SELECT absen_id, absen_out FROM absen_pegawai WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' LIMIT 1";
            $result_absensi = $connection->query($query_absensi);
            if ($result_absensi->num_rows > 0) {
               $data_absen = $result_absensi->fetch_assoc();

              if (is_null($data_absen['absen_out'])){
                $update = "UPDATE absen_pegawai SET absen_out='$time_absen',
                    status_pulang='$status_out',
                    map_out='$latitude',
                    radius_out='0'
                    WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' 
                    AND absen_id='$data_absen[absen_id]'";
                if ($connection->query($update) === false) {
                    echo json_encode([
                      "status" => false,
                      "msg" => "Sepertinya Sistem Kami sedang error!"
                    ]);
                } else {
                    echo json_encode([
                      "status" => true,
                      "msg" => "Terima kasih {$data_user['nama_lengkap']},\nAbsensi pulang Anda berhasil dicatat pada tanggal " . tanggal_ind($date) . " pukul $time_sekarang."
                    ]);

                    if($row_site['whatsapp_active'] =='Y'){
                      if($whatsapp_tipe =='POST'){
                        KirimWa($penerima,$isipesan,$whatsapp_domain,$whatsapp_token,$secret_key);
                      }else{
                        KirimWa($whatsapp_sender,$penerima,$isipesan,$whatsapp_domain,$whatsapp_token);
                      }
                    }
                }
            } else {
                // Absen sudah ada
                echo json_encode([
                  "status" => false,
                  "msg" => "Hallo {$data_user['nama_lengkap']}, absensi pulang Anda pada tanggal " . tanggal_ind($date) . " sudah tercatat."
                ]);
            }
        } else {
          // Absen belum ada
          echo json_encode([
            "status" => false,
            "msg" => "Qr code tidak ditemukan, silahkan hubungi Admin!"
          ]);
        }
      }
  } else {
    echo 'Qr code tidak ditemukan, silahkan hubungi Admin!';
  }
} else {
   echo implode("\n", $error);
}


break;
case 'absen-selfie':
$error = [];

$data_post = [
    'img' => 'Foto',
    'latitude' => 'Latitude',
    'radius' => 'Radius',
    'radius_aktif' => 'Radius Aktif',
];

// Validasi input
foreach ($data_post as $key => $value) {
    if (!isset($_POST[$key]) || ($_POST[$key] === '' && $_POST[$key] !== '0')) {
        $error[] = ucfirst($key) . ' tidak boleh kosong';
    } else {
        $$key = htmlentities(strip_tags($_POST[$key]));
    }
}

$watermark = "ABSEN | ".$data_user['nama_lengkap']." | ".date("Y-m-d H:i:s");
$imgData = resizeAndWatermark(
    $img,
    $watermark,
    400
);

$foto = "absen_out_p_{$date}_" . time() . "{$data_user['pegawai_id']}.jpg";

if (empty($error)) {
    $query_pegawai = "SELECT pegawai.pegawai_id,lokasi.*
    FROM pegawai LEFT JOIN lokasi ON pegawai.lokasi = lokasi.lokasi_id 
    WHERE pegawai.pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."'";
    $result_pegawai = $connection->query($query_pegawai);
    if ($result_pegawai->num_rows > 0) {
      $data_pegawai = $result_pegawai->fetch_assoc();

      if (!$data_jam) {
        echo json_encode([
          "status" => false,
          "msg" => "Jam Kerja tidak ditemukan!"
        ]);
        break;
      }else{
        $waktu_awal = (new DateTime($data_jam['jam_masuk']))->modify('-60 minutes')->format('H:i:s');
        $status = cekMulaiAbsen($data_jam['jam_masuk'], $data_jam['jam_pulang'], $waktu_awal);
        if ($status !== 'Y') {
          echo json_encode([
            "status" => false,
            "msg"   => "Absensi belum aktif. Mulai absen jam masuk: {$status['masuk']} jam pulang:  {$status['pulang']}"
          ]);
        }
      }
      
        // menentukan status telat s-widodo.com
        $status_out = ($time_sekarang < $data_jam['jam_pulang']) ? 'Pulang Cepat' : 'Tepat Waktu';

        if ($row_site['whatsapp_active'] == 'Y') {
          $pesan = str_replace(
              ['{{nama}}', '{{lokasi_sekolah}}', '{{tanggal}}', '{{tipe}}', '{{jam_sekolah}}', '{{jam_absen}}', '{{status}}', '{{lokasi}}'],
              [
                  $data_user['nama_lengkap'],
                  $data_pegawai['lokasi_nama'],
                  tanggal_ind($date),
                  'PULANG',
                  ''.$data_jam['jam_masuk'].' - '.$data_jam['jam_pulang'],
                  $time_absen,
                  $status_out,
                  'https://www.google.com/maps/place/' . $latitude
              ],
              $row_site['whatsapp_template']
          );

          if($whatsapp_tipe =='POST'){
            $isipesan = $pesan;
          }else{
            $pesan = str_replace(["\r\n", "\n"], "%0A", $pesan);
            $isipesan = str_replace(" ", "%20", $pesan);
          }
        }
            
        // *** Absen dengan Radius ***
        if ($_POST['radius_aktif']=='Y') {

          if ($data_pegawai['lokasi_radius'] > $radius) {
              // Cek absensi hari ini
            $query_absensi = "SELECT absen_id,absen_out FROM absen_pegawai WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' LIMIT 1";
              $result_absensi = $connection->query($query_absensi);
              if ($result_absensi->num_rows > 0) {
                  $data_absen = $result_absensi->fetch_assoc();

                if (is_null($data_absen['absen_out'])){
                    $update ="UPDATE absen_pegawai SET absen_out='$time_absen',
                        foto_out='$foto',
                        status_pulang='$status_out',
                        map_out='$latitude',
                        radius_out='$radius'
                        WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' 
                        AND absen_id='$data_absen[absen_id]'";
                    if ($connection->query($update) === false) {
                      echo json_encode([
                        "status" => false,
                        "msg" => "Sepertinya Sistem Kami sedang error!"
                      ]);
                    } else {
                      echo json_encode([
                        "status" => true,
                        "msg" => "Terima kasih {$data_user['nama_lengkap']},\nAbsensi pulang Anda berhasil dicatat pada tanggal " . tanggal_ind($date) . " pukul $time_sekarang."
                      ]);

                      file_put_contents("../../../sw-content/absen/$foto", $imgData);	
                      
                      if($row_site['whatsapp_active'] =='Y'){
                        if($whatsapp_tipe =='POST'){
                          KirimWa($penerima,$isipesan,$whatsapp_domain,$whatsapp_token,$secret_key);
                        }else{
                          KirimWa($whatsapp_sender,$penerima,$isipesan,$whatsapp_domain,$whatsapp_token);
                        }
                      }
                   }
               }else{
                /** Berikan notifikasi kebali jika doble absen */
                echo json_encode([
                "status" => false,
                "msg" => "Hallo {$data_user['nama_lengkap']}, absensi pulang Anda pada tanggal " . tanggal_ind($date) . " sudah tercatat."
              ]);
              }
          } else {
            /** Notifikasi belum ada data absen masuk */
            echo json_encode([
              "status" => false,
              "msg" => "Data Absensi Anda tidak ditemukan, Silahkan absen masuk terlebih dahulu!"
            ]);
          }
        } else {
          echo json_encode([
            "status" => false,
            "msg" => "Titik lokasi Anda jauh dari radius!"
          ]);
        }
    }
        // *** Absen Tanpa Radius ***
      else {
            // Proses absen tanpa radius
            $query_absensi = "SELECT absen_id, absen_out FROM absen_pegawai WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' LIMIT 1";
            $result_absensi = $connection->query($query_absensi);
            if ($result_absensi->num_rows > 0) {
               $data_absen = $result_absensi->fetch_assoc();

              if (is_null($data_absen['absen_out'])){
                $update = "UPDATE absen_pegawai SET absen_out='$time_absen',
                    foto_out='$foto',
                    status_pulang='$status_out',
                    map_out='$latitude',
                    radius_out='0'
                    WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' 
                    AND absen_id='$data_absen[absen_id]'";
                if ($connection->query($update) === false) {
                    echo json_encode([
                      "status" => false,
                      "msg" => "Sepertinya Sistem Kami sedang error!"
                    ]);
                } else {
                    echo json_encode([
                      "status" => true,
                      "msg" => "Terima kasih {$data_user['nama_lengkap']},\nAbsensi pulang Anda berhasil dicatat pada tanggal " . tanggal_ind($date) . " pukul $time_sekarang."
                    ]);

                    file_put_contents("../../../sw-content/absen/$foto", $imgData);	

                    if($row_site['whatsapp_active'] =='Y'){
                      if($whatsapp_tipe =='POST'){
                        KirimWa($penerima,$isipesan,$whatsapp_domain,$whatsapp_token,$secret_key);
                      }else{
                        KirimWa($whatsapp_sender,$penerima,$isipesan,$whatsapp_domain,$whatsapp_token);
                      }
                    }
                }
            } else {
                // Absen sudah ada
                echo json_encode([
                  "status" => false,
                  "msg" => "Hallo {$data_user['nama_lengkap']}, absensi pulang Anda pada tanggal " . tanggal_ind($date) . " sudah tercatat."
                ]);
            }
        } else {
          // Absen belum ada
          echo json_encode([
            "status" => false,
            "msg" => "Qr code tidak ditemukan, silahkan hubungi Admin!"
          ]);
        }
      }
  } else {
    echo 'Data tidak ditemukan, silahkan hubungi Admin!';
  }
} else {
   echo implode("\n", $error);
}

/* -------------------------------- ABSEN MENGGUNAKAN FOTO -------------------------------- */
break;
case 'absen-recognition':
  $data=json_decode(file_get_contents("php://input"),true);
  if(!$data) exit(json_encode(["status"=>false,"msg"=>"Data kosong"]));

  $descriptor     = $data['descriptor'] ?? [];
  $photo          = $data['photo'] ?? null;
  $latitude       = $data['latitude'] ?? null;
  $radius         = $data['radius'] ?? 0;
  $radius_aktif   = $data['radius_aktif'] ?? 'N';

  $watermark = "ABSEN | ".$data_user['nama_lengkap']." | ".date("Y-m-d H:i:s");
  $imgData = resizeAndWatermark(
      $data['photo'],
      $watermark,
      400
  );

  $foto = "absen_out_p_{$date}_" . time() . "{$data_user['pegawai_id']}.jpg";
  if (!$photo || empty($latitude) || empty($descriptor)) {
  echo json_encode([
          'status' => false,
          'msg' => 'Data tidak lengkap'
      ]);
      exit;
  }

    $q = $connection->query("SELECT pegawai.pegawai_id,pegawai.descriptor,lokasi.*
    FROM pegawai LEFT JOIN lokasi ON pegawai.lokasi = lokasi.lokasi_id 
    WHERE pegawai.pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."'");
    foreach ($q as $r) {
      if (empty($r['descriptor'])) {
          continue;
      }
      $old = json_decode($r['descriptor'], true);
      if (!is_array($old) || count($old) !== 128) {
          continue;
      }

      if (faceDistance($old, $data['descriptor']) < 0.45) {

        if (!$data_jam) {
           echo json_encode([
            "status" => false,
            "msg" => "Jam Kerja tidak ditemukan!"
          ]);
          break;
        }else{
          $waktu_awal = (new DateTime($data_jam['jam_masuk']))->modify('-60 minutes')->format('H:i:s');
          $status = cekMulaiAbsen($data_jam['jam_masuk'], $data_jam['jam_pulang'], $waktu_awal);
          if ($status !== 'Y') {
            echo json_encode([
              "status" => false,
              "msg"   => "Absensi belum aktif. Mulai absen jam masuk: {$status['masuk']} jam pulang:  {$status['pulang']}"
            ]);
          }
        }

        // menentukan status telat s-widodo.com
        $status_out = ($time_sekarang < $data_jam['jam_pulang']) ? 'Pulang Cepat' : 'Tepat Waktu';

        if ($row_site['whatsapp_active'] == 'Y') {
          $pesan = str_replace(
              ['{{nama}}', '{{lokasi_sekolah}}', '{{tanggal}}', '{{tipe}}', '{{jam_sekolah}}', '{{jam_absen}}', '{{status}}', '{{lokasi}}'],
              [
                  $data_user['nama_lengkap'],
                  $r['lokasi_nama'],
                  tanggal_ind($date),
                  'PULANG',
                  ''.$data_jam['jam_masuk'].' - '.$data_jam['jam_pulang'],
                  $time_absen,
                  $status_out,
                  'https://www.google.com/maps/place/' . $latitude
              ],
              $row_site['whatsapp_template']
          );

          if($whatsapp_tipe =='POST'){
            $isipesan = $pesan;
          }else{
            $pesan = str_replace(["\r\n", "\n"], "%0A", $pesan);
            $isipesan = str_replace(" ", "%20", $pesan);
          }
        }

        // *** Absen dengan Radius ***
        if ($radius_aktif  =='Y') {
          if ($r['lokasi_radius'] > $radius){
            $query_absensi = "SELECT absen_id,absen_out FROM absen_pegawai WHERE tanggal='$date' AND  pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' LIMIT 1";
            $result_absensi = $connection->query($query_absensi);
            if ($result_absensi->num_rows > 0) {
              $data_absen = $result_absensi->fetch_assoc();

               if (is_null($data_absen['absen_out'])){
        
                  $update ="UPDATE absen_pegawai SET absen_out='$time_absen',
                      foto_out='$foto',
                      status_pulang='$status_out',
                      map_out='$latitude',
                      radius_out='$radius'
                      WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' 
                      AND absen_id='$data_absen[absen_id]'";
                  if ($connection->query($update) === false) {
                    echo json_encode([
                      "status" => false,
                      "msg" => "Sepertinya Sistem Kami sedang error!"
                    ]);

                  } else {
                    echo json_encode([
                      "status" => true,
                      "msg" => "Terima kasih {$data_user['nama_lengkap']},\nAbsensi pulang Anda berhasil dicatat pada tanggal " . tanggal_ind($date) . " pukul $time_sekarang."
                    ]);	

                    file_put_contents("../../../sw-content/absen/$foto", $imgData);	
                    
                    if($row_site['whatsapp_active'] =='Y'){
                      if($whatsapp_tipe =='POST'){
                        KirimWa($penerima,$isipesan,$whatsapp_domain,$whatsapp_token,$secret_key);
                      }else{
                        KirimWa($whatsapp_sender,$penerima,$isipesan,$whatsapp_domain,$whatsapp_token);
                      }
                    }
                  }
              } else {
                // Absen sudah ada
                echo json_encode([
                  "status" => false,
                  "msg" => "Hallo {$data_user['nama_lengkap']}, absensi pulang Anda pada tanggal " . tanggal_ind($date) . " sudah tercatat."
                ]);
              }

            } else {
              /** Notifikasi belum ada data absen masuk */
              echo json_encode([
                "status" => false,
                "msg" => "Data Absensi Anda tidak ditemukan, Silahkan absen masuk terlebih dahulu!"
              ]);
            }

          }else{
            // Radius tidak didalam radius
            echo json_encode([
              "status" => false,
              "msg" => "Titik lokasi Anda jauh dari radius!"
            ]);
          }

      /* ======================================
        PROSES ABSENSI TANPA RADIUS
      ======================================== */
        }else{
            $query_absensi = "SELECT absen_id, absen_out FROM absen_pegawai WHERE tanggal='$date' AND pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' LIMIT 1";
            $result_absensi = $connection->query($query_absensi);
            if ($result_absensi->num_rows > 0) {
                $data_absen = $result_absensi->fetch_assoc();

                if (is_null($data_absen['absen_out'])){
                    $update ="UPDATE absen_pegawai SET absen_out='$time_absen',
                        foto_out='$foto',
                        status_pulang='$status_out',
                        map_out='$latitude',
                        radius_out='$radius'
                        WHERE tanggal='$date' AND 
                        pegawai_id='".htmlspecialchars($data_user['pegawai_id'], ENT_QUOTES, 'UTF-8')."' 
                        AND absen_id='$data_absen[absen_id]'";
                  
                    if ($connection->query($update) === false) {
                        echo json_encode([
                            "status" => false,
                            "msg" => "Sepertinya Sistem Kami sedang error!"
                        ]);
                    } else {
                      echo json_encode([
                        "status" => true,
                        "msg" => "Terima kasih {$data_user['nama_lengkap']},\nAbsensi pulang Anda berhasil dicatat pada tanggal " . tanggal_ind($date) . " pukul $time_sekarang."
                      ]);

                      file_put_contents("../../../sw-content/absen/$foto", $imgData);

                        if($row_site['whatsapp_active'] =='Y'){
                          if($whatsapp_tipe =='POST'){
                            KirimWa($penerima,$isipesan,$whatsapp_domain,$whatsapp_token,$secret_key);
                          }else{
                            KirimWa($whatsapp_sender,$penerima,$isipesan,$whatsapp_domain,$whatsapp_token);
                          }
                        }
                    }
                }else{
                  // Absen sudah ada
                  echo json_encode([
                    "status" => false,
                    "msg" => "Hallo {$data_user['nama_lengkap']}, absensi pulang Anda pada tanggal " . tanggal_ind($date) . " sudah tercatat."
                  ]);
                }

            } else {
              /** Notifikasi belum ada data absen masuk */
              echo json_encode([
                "status" => false,
                "msg" => "Data Absensi Anda tidak ditemukan, Silahkan absen masuk terlebih dahulu!"
              ]);
            }
        }
      }else{
        echo json_encode([
          "status" => false,
          "msg" => "Wajah tidak dikenali"
        ]);
      }
  }

break;
  }
}